Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
TestResult Class Reference

`#include <jsontest.h>`

## Public Member Functions
| TestResult ()
void | setTestName (const std::string &name)
TestResult & | addFailure (const char *file, unsigned int line, const char *expr=0)
| Adds an assertion failure. More...
TestResult & | popPredicateContext ()
bool | failed () const
void | printFailure (bool printTestName) const
TestResult & | operator<< (bool value)
TestResult & | operator<< (int value)
TestResult & | operator<< (unsigned int value)
TestResult & | operator<< (double value)
TestResult & | operator<< (const char *value)
TestResult & | operator<< (const std::string &value)

## Public Attributes
PredicateContext::Id | predicateId_
PredicateContext * | predicateStackTail_

## Constructor & Destructor Documentation

TestResult | ( |  | ) |

## Member Function Documentation

TestResult & addFailure | ( | const char * | file,
|  | unsigned int | line,
|  | const char * | expr = `0`
| ) |  |

Adds an assertion failure.

Walks the PredicateContext stack adding them to failures_ if not already added.

bool failed | ( |  | ) | const

TestResult & operator<< | ( | bool | value | ) |

TestResult & operator<< | ( | int | value | ) |

TestResult & operator<< | ( | unsigned int | value | ) |

TestResult & operator<< | ( | double | value | ) |

TestResult & operator<< | ( | const char * | value | ) |

TestResult & operator<< | ( | const std::string & | value | ) |

TestResult & popPredicateContext | ( |  | ) |

Removes the last PredicateContext added to the predicate stack chained list. Next messages will be targed at the PredicateContext that was removed.

void printFailure | ( | bool | printTestName | ) | const

void setTestName | ( | const std::string & | name | ) |

## Member Data Documentation

PredicateContext::Id predicateId_

PredicateContext* predicateStackTail_

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/jsoncpp/src/test_lib_json/jsontest.h
- persistence/rapidjson/thirdparty/jsoncpp/src/test_lib_json/jsontest.cpp